#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  HarfBuzz-3.4.0

- Next

  Little CMS-1.19

- Up
- Home

# JasPer-2.0.33

## Introduction to JasPer

The JasPer Project is an open-source initiative to provide a free software-based reference implementation of the JPEG-2000 codec.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/jasper-software/jasper/archive/version-2.0.33/jasper-2.0.33.tar.gz

- Download MD5 sum: e98c3e1b3cb07bfa3d5ea94abd163bc1

- Download size: 1.9 MB

- Estimated disk space required: 7.9 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### JasPer Dependencies

#### Required

CMake-3.22.2

#### Recommended

libjpeg-turbo-2.1.2

#### Optional

Freeglut-3.2.2 (required for jiv), Doxygen-1.9.3 (needed for generating html documentation), and texlive-20210325 (needed to regnerate the pdf documentation)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/jasper

## Installation of JasPer

### Note

The tarball jasper-2.0.33.tar.gz will extract to jasper-version-2.0.33.

First, fix a problem that happens due to cmake-3.22:

    sed -i '/GLUT_glut_LIBRARY/s/^/#/' build/cmake/modules/JasOpenGL.cmake

Install JasPer by running the following commands:

    mkdir BUILD &&
    cd    BUILD &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr    \
          -DCMAKE_BUILD_TYPE=Release     \
          -DCMAKE_SKIP_INSTALL_RPATH=YES \
          -DJAS_ENABLE_DOC=NO            \
          -DCMAKE_INSTALL_DOCDIR=/usr/share/doc/jasper-2.0.33 \
          ..  &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-DCMAKE_SKIP_INSTALL_RPATH=YES`: This option removes embedded library search paths.

`-DJAS_ENABLE_DOC=NO`: This option disables rebuilding the pdf documentation if texlive-20210325 is installed.

## Contents

Installed Programs: imgcmp, imginfo, jasper, and jiv
Installed Library: libjasper.so
Installed Directories: /usr/include/jasper and /usr/share/doc/jasper-2.0.33

### Short Descriptions

imgcmp | compares two images of the same geometry
imginfo | displays information about an image
jasper | converts images between formats (BMP, JPS, JPC, JPG, PGX, PNM, MIF, and RAS)
jiv | displays images
`libjasper.so` | is a library used by programs for reading and writing JPEG2000 format files

Last updated on

- Prev

  HarfBuzz-3.4.0

- Next

  Little CMS-1.19

- Up
- Home